%define upstream_name    Acme-Damn
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    'Unbless' Perl objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
*Acme::Damn* provides a single routine, *damn()*, which takes a blessed
reference (a Perl object), and _unblesses_ it, to return the original
reference. I can't think of any reason why you might want to do this, but
just because it's of no use doesn't mean that you shouldn't be able to do
it.

EXPORT
    By default, *Acme::Damn* exports the method *damn()* into the current
    namespace. Aliases for *damn()* (see below) may be imported upon
    request.

Methods
    * *damn* _object_

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-5.mga4
+ Revision: 524198
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-4.mga4
+ Revision: 430540
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-3.mga3
+ Revision: 362804
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.50.0-2.mga3
+ Revision: 250256
- rebuild for perl 5.16

* Wed Feb 22 2012 kharec <kharec> 0.50.0-1.mga2
+ Revision: 211864
- update to 0.05

* Sat Jun 11 2011 jquelin <jquelin> 0.40.0-3.mga2
+ Revision: 103443
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.40.0-2.mga1
+ Revision: 29771
- mageia rebuild
- imported package perl-Acme-Damn

